PDA

View Full Version : code::blocks issues



WakkaDojo
27th July 2007, 04:51 AM
I originally posted this as a "programming" problem, for some reason... but anyway:

I recently installed code::blocks and wxGTK from source files. When I try to execute codeblocks, I get the following error:
./codeblocks
./codeblocks: error while loading shared libraries: libwx_gtk2u-2.8.so.0: cannot open shared object file: No such file or directory
Note the following line in my libcodeblocks.la file (located in /opt/codeblocks-svn/lib):
# Libraries that this one depends upon. dependency_libs=' -L/opt/wx/2.8/lib -lwx_gtk2u-2.8 -lpthread -ldl'
Also, note the contents of my /opt/wx/2.8/lib folder:
ls /opt/wx/2.8/lib
libwx_gtk2u-2.8.so libwx_gtk2u-2.8.so.0 libwx_gtk2u-2.8.so.0.1.1 wx
What's wrong???

bob
27th July 2007, 05:45 AM
Thread Closed; Please don't double-post. I'll move the other thread to Software.